Xalan-Java 2.7.1: Class RTFIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xpath.axes
Class RTFIterator

    java.lang.Object
      |
      +--org.apache.xml.utils.NodeVector
            |
            +--org.apache.xpath.NodeSetDTM
                  |
                  +--org.apache.xpath.axes.RTFIterator

public class RTFIterator
extends NodeSetDTM

See Also:
  Serialized Form

Constructor Summary
`RTFIterator(int root, DTMManager manager)` Constructor for RTFIterator

Methods inherited from class org.apache.xpath.NodeSetDTM
`addElement, addNode, addNodeInDocOrder, addNodeInDocOrder, addNodes, addNodesInDocOrder, allowDetachToRelease, appendNodes, clone, cloneWithReset, contains, detach, elementAt, getAxis, getCurrentNode, getCurrentPos, getDTM, getDTMManager, getExpandEntityReferences, getFilter, getLast, getLength, getRoot, getShouldCacheNodes, getWhatToShow, indexOf, indexOf, insertElementAt, insertNode, isDocOrdered, isFresh, isMutable, item, nextNode, previousNode, removeAllElements, removeElement, removeElementAt, removeNode, reset, runTo, setCurrentPos, setElementAt, setEnvironment, setItem, setLast, setRoot, setShouldCacheNodes, size`

Methods inherited from class org.apache.xml.utils.NodeVector
`insertInOrder, peepOrNull, peepTail, peepTailSub1, pop, popAndTop, popPair, popQuick, push, pushPair, RemoveAllNoClear, setTail, setTailSub1, sort, sort`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RTFIterator

    public RTFIterator(int root,
                       DTMManager manager)

  Constructor for RTFIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.